## org.eclipse.emf.cdo.common.protocol
Interface CDOProtocol<INFRA_STRUCTURE>

All Superinterfaces:
  org.eclipse.net4j.buffer.IBufferHandler, org.eclipse.net4j.ILocationAware, org.eclipse.net4j.protocol.IProtocol<INFRA_STRUCTURE>, org.eclipse.net4j.signal.ISignalProtocol<INFRA_STRUCTURE>, org.eclipse.net4j.util.security.IUserAware

    public interface CDOProtocol<INFRA_STRUCTURE>

extends org.eclipse.net4j.signal.ISignalProtocol<INFRA_STRUCTURE>

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware
`org.eclipse.net4j.ILocationAware.Location`

Field Summary

Fields inherited from interface org.eclipse.net4j.signal.ISignalProtocol
`DEFAULT_TIMEOUT, NO_TIMEOUT`

Method Summary
`CDOCommonSession` `getSession()`

Methods inherited from interface org.eclipse.net4j.signal.ISignalProtocol
`addStreamWrapper, close, getFailOverStrategy, getStreamWrapper, getTimeout, open, open, open, setFailOverStrategy, setStreamWrapper, setTimeout`

Methods inherited from interface org.eclipse.net4j.protocol.IProtocol
`getBufferProvider, getChannel, getExecutorService, getInfraStructure, getType, setChannel, setExecutorService, setInfraStructure`

Methods inherited from interface org.eclipse.net4j.util.security.IUserAware
`getUserID`

Methods inherited from interface org.eclipse.net4j.ILocationAware
`getLocation, isClient, isServer`

Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler
`handleBuffer`

Method Detail

### getSession

    CDOCommonSession getSession()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.